# Generated by Django 3.1.1 on 2020-09-24 10:51

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='Method',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                (
                    'method',
                    models.CharField(
                        choices=[
                            ('GET', 'GET'),
                            ('POST', 'POST'),
                            ('PUT', 'PUT'),
                            ('PATCH', 'PATCH'),
                            ('DELETE', 'DELETE'),
                        ],
                        max_length=6,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='Schema',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hash', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Url',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=2048)),
            ],
        ),
        migrations.CreateModel(
            name='ValidatedResponse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status_code', models.IntegerField()),
                ('response_hash', models.CharField(max_length=50)),
                ('valid', models.BooleanField()),
                ('error_message', models.TextField(null=True)),
                (
                    'method',
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_swagger_tester.method'),
                ),
                (
                    'schema_hash',
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_swagger_tester.schema'),
                ),
                ('url', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_swagger_tester.url')),
            ],
        ),
    ]
